Subject: Re: [netlmm] #68: Security section should discuss MN identity, not security of network elements

From: netlmm-tracker <[email-masked]>
Date: Thu, 01 Jun 2006 05:21:43 -0000

#68: Security section should discuss MN identity, not security of network
elements
-------------------------------------------+--------------------------------
  Reporter:  [email-masked]      |       Owner:  [email-masked]
      Type:  defect                        |      Status:  assigned                
  Priority:  major                         |   Milestone:  milestone2              
 Component:  draft-ietf-netlmm-nohost-req  |     Version:  1.0                     
Resolution:                                |    Keywords:  REQ draft               
-------------------------------------------+--------------------------------
Changes (by [email-masked]):

  * status:  new => assigned

Comment:

 The problem here is that, from a cellular network standpoint, MN security
 is not an issue because the L2 controls who gets on the network, what IP
 address a terminal gets, and who gets to handover. Most cellular operators
 are more concerned with the security of the network elements, as described
 here.

 I'm happy to add a paragraph on MN security (and would be even happier to
 take some suggested text and incorporate it!) but I believe we should
 leave the text in describing security of network elements as it is a
 concern to some people, though perhaps not all.

-- 
Ticket URL: <http://www1.tools.ietf.org/wg/netlmm/trac/ticket/68>
netlmm <http://tools.ietf.org/wg/netlmm/>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: netlmm <[email-masked]>
Date: Fri, 16 Jun 2006 16:48:46 -0000

#68: Security section should discuss MN identity, not security of network
elements
-------------------------------------------+--------------------------------
  Reporter:  [email-masked]      |       Owner:  [email-masked]
      Type:  defect                        |      Status:  closed                  
  Priority:  major                         |   Milestone:  milestone2              
 Component:  draft-ietf-netlmm-nohost-req  |     Version:  1.0                     
Resolution:  fixed                         |    Keywords:  REQ draft               
-------------------------------------------+--------------------------------
Changes (by [email-masked]):

  * resolution:  => fixed
  * status:  assigned => closed

Comment:

 I haven't seen any discussion on this, so I am going to remove the text
 about malware in Section 2.3 and DoS to network elements in Section 2.6.

 But at some point, "not going there" isn't going to work for malware. IETF
 is going to have to deal with malware as a threat in protocol design, as a
 consequence of end-to-end design. But I'm not going to push this since I
 want to get this document complete and submitted by the Monteral deadline.

 I also added this text to Section 2.6 to discuss the threat of a node
 trying to change routing for an address that it is not authorized for:

 >If the access router deduces mobile node movement based on active IP-
 level >movement detection by the mobile node, then authentication is
 required for the >IP-level movement detection messages from the mobile
 node to ensure that the >mobile node is authorized to possess the address
 used for the movement >detection. The authorization may be at the IP level
 or it may be tied to the >original network access authentication and
 wireless link layer authorization >for handover. Some wireless link
 layers, especially cellular protocols, >feature full support and strong
 security for handover at the link level, and >require no IP support for
 handover. If such wireless link security is not >available, however, then
 it must be provided at the IP level. Security threats >to the NETLMM
 protocol are discussed in [12].

 More details are in the Threats draft (ref. 12).